aboutsummaryrefslogtreecommitdiffstats
path: root/main/gcc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-12-26 11:19:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-12-26 11:38:09 +0000
commit2d1d342e1d6a1d32a91e684d5f39e0f210db4ab4 (patch)
tree2c324d5a7855c3b9815fa3b250f82c1a4bd06ec7 /main/gcc/APKBUILD
parent898ac03dd8b45bdd379433fd78a81c959ef05b18 (diff)
downloadaports-2d1d342e1d6a1d32a91e684d5f39e0f210db4ab4.tar.gz
aports-2d1d342e1d6a1d32a91e684d5f39e0f210db4ab4.tar.bz2
aports-2d1d342e1d6a1d32a91e684d5f39e0f210db4ab4.tar.xz
main/gcc: add c89/c99 wrappers
required by POSIX fixes #6610
Diffstat (limited to 'main/gcc/APKBUILD')
-rw-r--r--main/gcc/APKBUILD31
1 files changed, 29 insertions, 2 deletions
diff --git a/main/gcc/APKBUILD b/main/gcc/APKBUILD
index 68776c0564..e5ffb0abf0 100644
--- a/main/gcc/APKBUILD
+++ b/main/gcc/APKBUILD
@@ -6,7 +6,7 @@ pkgver=6.4.0
[ "$CHOST" != "$CTARGET" ] && _target="-$CTARGET_ARCH" || _target=""
pkgname="$pkgname$_target"
-pkgrel=5
+pkgrel=6
pkgdesc="The GNU Compiler Collection"
url="http://gcc.gnu.org"
arch="all"
@@ -391,6 +391,33 @@ package() {
echo "GROUP ($_real)" > "$so"
fi
done
+ else
+ # add c89/c99 wrapper scripts
+ cat >"$pkgdir"/usr/bin/c89 <<EOF
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+ case "$opt" in
+ -ansi|-std=c89|-std=iso9899:1990) fl="";;
+ -std=*) echo "$(basename $0) called with non ANSI/ISO C option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}
+EOF
+ cat >"$pkgdir"/usr/bin/c99 <<-EOF
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+ case "$opt" in
+ -std=c99|-std=iso9899:1999) fl="";;
+ -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}
+EOF
+ chmod 755 "$pkgdir"/usr/bin/c?9
fi
}
@@ -641,4 +668,4 @@ f4ef08454e28c8732db69115e4998ec153399e8d229dd27f923dbdcf57b68128a65640d026cc7f45
01c71cd5881fc07ea3b9b980697e89b3ca0fe98502958ceafc3fca18b2604c844e2f457feab711baf8e03f00a5383b0e38aac7eb954034e306f43d4a37f165ed fix-rs6000-pie.patch
34a818d5be67eb1f34e44a80b83c28a9b9c17d37fc9fac639f490d6bb5b53ebe3318140d09c236a17d7c98f5a7792ae3d6cefccda8067a5e942d6305b9d1f87c fix-linux-header-use-in-libgcc.patch
86be3338cc9c33089608bc4c5e3b7918c4e500a345c338f361b18c342119a6ed69af5495d72950de7106d760f003528b46ad14795e805f8a3331e206dcb234e3 gcc-pure64-mips.patch
-f09273975f76f98967ebbc2e9c61d7c720fdc5b220bf90a6eb31a040539422cf76069945f186e0996ba3cc2556031170a073a32fd9d78b5326ad5d250d7a26e8 ada-mips64.patch"
+508f3bca214d88531d739d761d07affc953689b1540905c73420b34c246e1e6b72588cf89f0e1462752633f8ddc88da8c0238be2a1b6e1c213829cecee7924cf ada-mips64.patch"